Create Deployment

Base URL
https://api.elastic-cloud.com/api/v1
  • POST /deployments
No auth

Creates a Deployment.

Query parameters

request_id string

An optional idempotency token - if two create requests share the same request_id token (min size 32 characters, max 128) then only one deployment will be created, the second request will return the info of that deployment (in the same format described below, but with blanks for auth-related fields)

validate_only boolean · default: false

If true, will just validate the Deployment definition but will not perform the creation

template_id string

An optional template id - if present, the referenced template will be used to fill in the resources field of the deployment creation request. If any resources are present in the request together with the template, the ones coming in the request will prevail and no merging with the template will be performed.

Request body

The deployment definition

name string

A name for the deployment; otherwise this will be the generated deployment id

alias string

A user-defined alias to use in place of Cluster IDs for user-friendly URLs

region string

Identifier of the region to be used as the default for all the resources of the deployment

version string

The version for all the resources of the deployment (must be one of the supported versions). Defaults to the latest version if not specified.

Responses

The request was valid (used when validate_only is true).

application/json
id string required

The id of the deployment

name string required

The name of the deployment

alias string

A user-defined deployment alias for user-friendly resource URLs

created boolean required

Whether or not the deployment was freshly created

resources object[] required

List of created resources.

ref_id string required

A locally-unique friendly alias for this Elasticsearch cluster

elasticsearch_cluster_ref_id string

The Elasticsearch cluster that this resource depends on.

id string required

A system-unique id for the created resource

kind string required

The kind of resource

region string required

Identifier of the region in which this resource runs.

cloud_id string

An encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana

secret_token string

Secret token for using a created resource. Only provided on initial create and absent otherwise.

Base URL
https://api.elastic-cloud.com/api/v1